Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
flows
/
condition-types
List condition types
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/flows/condition-types \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/flows/condition-types"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/flows/condition-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_next": true,
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "type": "<string>",
      "frequency_values": [
        123
      ],
      "value_type": "<string>",
      "value_placeholder": "<string>",
      "period": true,
      "op_values": []
    }
  ]
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
enum<string>
default:es-ES

Language code for text fields that support multiple languages. When creating or updating resources, this specifies the language of the provided text values. Upon retrieving resources, it determines which language variant of the multilingual text fields is returned. Accepted values: 'en-EN' (English), 'es-ES' (Spanish), 'pt-BR' (Portuguese), 'ca-ES' (Catalan), 'eu-ES' (Basque). If not provided, default is 'es-ES'.

Available options:
en-EN,
es-ES,
pt-BR,
ca-ES,
eu-ES

Path Parameters

organization id
string
required

The unique identifier of the organization

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Query Parameters

page
integer
default:1

Page number (default: 1)

Required range: x >= 1
per_page
integer
default:100

Items per page (default: 100, max: 100)

Required range: 1 <= x <= 100
sort
string

Sort field with optional order suffix (:asc or :desc). Use response property names. Valid fields: id, name, description, type, value_type, value_placeholder, period. Example: "name:asc" or "type:desc"

fields
string

Comma-separated list of fields to include in each condition type item. Selectable fields: id, name, description, type, frequency_values, value_type, value_placeholder, op_values, period. The id field is always included.

Maximum string length: 2048
filters
string

Filter condition types by one or more criteria. Provide a JSON object with filter conditions. You can filter by any field returned in the response. Use comparison operators (eq, ne, gt, gte, lt, lte, in, nin, contains, startsWith, endsWith, between) and combine multiple conditions with logical operators (and, or). Maximum length: 5120 characters.

Maximum string length: 5120

Response

Paginated list of condition types successfully retrieved.

has_next
boolean
required

Indicates if more results are available on the next page

data
object[]
required